com.io7m.jtensors

## Interface VectorWritable4FType

- All Superinterfaces:
    VectorWritable2FType, VectorWritable3FType
  All Known Subinterfaces:
    PVector4FType<T>, PVectorByteBuffered4FType<T>, PVectorWritable4FType<T>, Quaternion4FType, QuaternionByteBuffered4FType, QuaternionWritable4FType, Vector4FType, VectorByteBuffered4FType
  All Known Implementing Classes:
    PVectorByteBufferedM4F, PVectorM4F, QuaternionByteBufferedM4F, QuaternionM4F, VectorByteBufferedM4F, VectorM4F

      public interface VectorWritable4FType
      extends VectorWritable3FType

  'Write' interface to four-dimensional vectors with `float` elements.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `copyFrom4F(VectorReadable4FType in_v)` Set the current vector to the contents of the input vector.
    `void` | `set4F(float x, float y, float z, float w)` Set the current `x`, `y`, `z` and `w` values of the current vector.
    `void` | `setWF(float w)` Set the current `w` value of the current vector.

    - ### Methods inherited from interface com.io7m.jtensors.VectorWritable3FType

      `copyFrom3F, set3F, setZF`

    - ### Methods inherited from interface com.io7m.jtensors.VectorWritable2FType

      `copyFrom2F, set2F, setXF, setYF`

- - ### Method Detail

    - #### copyFrom4F

          void copyFrom4F(VectorReadable4FType in_v)

      Set the current vector to the contents of the input vector.
      Parameters:
        `in_v` - The input vector

    - #### set4F

          void set4F(float x,
                     float y,
                     float z,
                     float w)

      Set the current `x`, `y`, `z` and `w` values of the current vector.
      Parameters:
        `x` - The new `x` value.
        `y` - The new `y` value.
        `z` - The new `z` value.
        `w` - The new `w` value.

    - #### setWF

          void setWF(float w)

      Set the current `w` value of the current vector.
      Parameters:
        `w` - The new `w` value.

Copyright © 2016 <code@io7m.com> http://io7m.com